using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using Siger.Middlelayer.Repository;


namespace Siger.Middlelayer.IMSRepository.Entities
{

    [Table("siger_project_ims_tool_config")]
    public class ProjectIMSToolConfigEntity : EntityBase
    {
        public ProjectIMSToolConfigEntity()
        {
            Status = 1;
        }

		/// <summary>
		/// 
		/// </summary>
        [Key]
        [Column("id")]
        public int Id { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("projectid")]
        public int Projectid { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("status")]
        public int Status { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("creator")]
        public int Creator { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("editor")]
        public int Editor { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("create_time")]
        public DateTime CreateTime { get; set; }
		/// <summary>
		/// 刀具号
		/// </summary>
        [Column("code")]
        public string Code { get; set; }
        /// <summary>
		/// 刀具id
		/// </summary>
        [Column("tool_id")]
        public int ToolId { get; set; }
    }
}
